Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 18666

Description

In QGIS 2.2 - processing 2.2.0-1, when using the mean coordinate(s) function from Processing, it does not seem to be possible to specify

a non-weighted version of the function when there are numerical attributes available.  When opening the function window, "Weight field"

appears as "[not set]", but when choosing another "Input layer", this option disappears.

In Vector-> Analysis tools-> Mean coordinate(s), one can use "(Optional) Weight field" for "Weight field" in order not to use weights.

It would be nice to be able to have this option also in the processing version.

If it is not possible to have this option, a solution could be to create two versions of the function:

1) mean coordinate(s)

2) weighted mean coordinate(s)

Related issues:

Duplicates QGIS Application - Feature request # 9859: Processing - "Mean coor... Closed 2014-03-24

History

#1 - 2014-06-21 08:54 AM - Jürgen Fischer

- Crashes QGIS or corrupts data set to No

- Project changed from 78 to QGIS Application

- Affected QGIS version set to 2.2.0

#2 - 2014-06-21 08:55 AM - Jürgen Fischer

- Category set to 94

#3 - 2014-09-14 03:55 AM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to duplicate

Duplicates #9859

#4 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
